Subject: bug#15960: 24.3.50; Provide a good way to tell when in `mouse-drag-track' (regression)

From: Stefan Monnier <[email-masked]>
Date: Sat, 23 Nov 2013 19:42:50 -0500

> But the behavior of the highlighting appearing now before you release
> mouse-1 is a definite improvement.  I would not wish to see that lost
> because of the "fix".  This just should not happen unless at least one
> char is selected.

Sounds right.  That's why I think it's just a bug/misfeature.

> Providing a good, clean way to tell whether `mouse-drag-track' is in
> progress (e.g. `mouse-tracking-p') would solve the problem I am
> reporting.

It would just give you a way to work around the problem.  I'd much
rather fix it instead.

        Stefan